KDE 4.9 PyKDE API Reference

- KDE's Python API

# KFileWritePlugin Class Reference

`from PyKDE4.kio import *`

Inherits: QObject

## Detailed Description

## Methods

| __init__ (self, QObject parent, QStringList args)
bool | canWrite (self, KUrl file, QString key)
bool | write (self, KUrl file, {QString:QVariant} data)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent,
|  | QStringList | args
| ) |  |  |

Constructor that initializes the object as a QObject.

bool canWrite | ( | self, |
|  | KUrl | file,
|  | QString | key
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

determine if this plugin can write a value into a particular resource.

bool write | ( | self, |
|  | KUrl | file,
|  | {QString:QVariant} | data
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Write a set of values into a resource pointed to by file.